package com.fjhx.common.controller.art;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.art.dto.ArtCopyrightDto;
import com.fjhx.common.entity.art.dto.ArtCopyrightSelectDto;
import com.fjhx.common.entity.art.vo.ArtCopyrightVo;
import com.fjhx.common.service.art.ArtCopyrightService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 美术版权 前端控制器
 * </p>
 *
 * @author
 * @since 2024-03-24
 */
@RestController
@RequestMapping("/artCopyright")
public class ArtCopyrightController {

    @Autowired
    private ArtCopyrightService artCopyrightService;

    /**
     * 美术版权分页
     */
    @PostMapping("/page")
    public Page<ArtCopyrightVo> page(@RequestBody ArtCopyrightSelectDto dto) {
        return artCopyrightService.getPage(dto);
    }

    /**
     * 美术版权明细
     */
    @PostMapping("/detail")
    public ArtCopyrightVo detail(@RequestBody BaseSelectDto dto) {
        return artCopyrightService.detail(dto.getId());
    }

    /**
     * 美术版权新增
     */
    @PostMapping("/add")
    public void add(@RequestBody ArtCopyrightDto artCopyrightDto) {
        artCopyrightService.add(artCopyrightDto);
    }

    /**
     * 美术版权编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ArtCopyrightDto artCopyrightDto) {
        artCopyrightService.edit(artCopyrightDto);
    }

    /**
     * 美术版权删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        artCopyrightService.delete(dto.getId());
    }

}
