package com.fjhx.common.controller.contractor;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.contractor.dto.ContractorDto;
import com.fjhx.common.entity.contractor.dto.ContractorSelectDto;
import com.fjhx.common.entity.contractor.vo.ContractorVo;
import com.fjhx.common.service.contractor.ContractorService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 承包商 前端控制器
 * </p>
 *
 * @author
 * @since 2024-03-24
 */
@RestController
@RequestMapping("/contractor")
public class ContractorController {

    @Autowired
    private ContractorService contractorService;

    /**
     * 承包商分页
     */
    @PostMapping("/page")
    public Page<ContractorVo> page(@RequestBody ContractorSelectDto dto) {
        return contractorService.getPage(dto);
    }

    /**
     * 承包商明细
     */
    @PostMapping("/detail")
    public ContractorVo detail(@RequestBody BaseSelectDto dto) {
        return contractorService.detail(dto.getId());
    }

    /**
     * 承包商新增
     */
    @PostMapping("/add")
    public void add(@RequestBody ContractorDto contractorDto) {
        contractorService.add(contractorDto);
    }

    /**
     * 承包商编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ContractorDto contractorDto) {
        contractorService.edit(contractorDto);
    }

    /**
     * 承包商删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        contractorService.delete(dto.getId());
    }

}
