package com.fjhx.common.controller.trademark;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.trademark.dto.TrademarkDto;
import com.fjhx.common.entity.trademark.dto.TrademarkSelectDto;
import com.fjhx.common.entity.trademark.vo.TrademarkVo;
import com.fjhx.common.service.trademark.TrademarkService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 商标 前端控制器
 * </p>
 *
 * @author
 * @since 2024-03-24
 */
@RestController
@RequestMapping("/trademark")
public class TrademarkController {

    @Autowired
    private TrademarkService trademarkService;

    /**
     * 商标分页
     */
    @PostMapping("/page")
    public Page<TrademarkVo> page(@RequestBody TrademarkSelectDto dto) {
        return trademarkService.getPage(dto);
    }

    /**
     * 商标明细
     */
    @PostMapping("/detail")
    public TrademarkVo detail(@RequestBody BaseSelectDto dto) {
        return trademarkService.detail(dto.getId());
    }

    /**
     * 商标新增
     */
    @PostMapping("/add")
    public void add(@RequestBody TrademarkDto trademarkDto) {
        trademarkService.add(trademarkDto);
    }

    /**
     * 商标编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody TrademarkDto trademarkDto) {
        trademarkService.edit(trademarkDto);
    }

    /**
     * 商标删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        trademarkService.delete(dto.getId());
    }

}
