package com.fjhx.form.entity.cost.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fjhx.common.controller.Label;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 费控
 * </p>
 *
 * @author
 * @since 2024-03-18
 */
@Getter
@Setter
@TableName("cost_control")
public class CostControl extends BasePo {

    /**
     * 交易类型10收入20支出
     */
    private Integer tradeType;

    /**
     * 费用类型
     */
    @Label("费用类型")
    private Long costType;

    /**
     * 记账凭证号
     */
    @Label("记账凭证号")
    private String voucherNo;

    /**
     * 申请时间
     */
    @Label("申请时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date applyTime;

    /**
     * 流水号
     */
    @Label("流水号")
    private String code;

    /**
     * 物流公司id
     */
    @Label("物流公司信息")
    private Long logisticsCompanyId;

    /**
     * 是否提交凭证
     */
    @Label("是否提交凭证")
    private Integer isVoucher;

    /**
     * 所属中心
     */
    @Label("所属中心")
    private String companyId;

    /**
     * 所属部门
     */
    @Label("所属部门")
    private Long deptId;

    /**
     * 申请人id
     */
    @Label("申请人")
    private Long applyUserId;

    /**
     * 是否预付
     */
    @Label("是否预付")
    private Integer isAdvance;

    /**
     * 合计金额
     */
    @Label("合计金额")
    private BigDecimal amount;

    /**
     * 是否公户转出
     */
    @Label("是否公户转出")
    private Integer isPublicTransfer;

    @Label("付款方式")
    private String paymentMethod;

    /**
     * 开户名
     */
    @Label("开户名")
    private String accountName;

    /**
     * 开户行
     */
    @Label("开户行")
    private String accountBank;

    /**
     * 开户账号
     */
    @Label("开户账号")
    private String accountNumber;

    @Label("开票税点")
    private String invoiceTaxPoint;

    /**
     * 付款账户id
     */
    @Label("付款账户信息")
    private Long paymentAccountId;

    /**
     * 流程状态
     */
    private Integer status;
    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 付款账户名
     */
    private String paymentAccountName;
    /**
     * 付款开户行
     */
    private String paymentAccountBank;
    /**
     * 付款开户账号
     */
    private String paymentAccountNumber;

    @Label("关联合同信息")
    private Long contractId;

}
