package com.fjhx.form.entity.cost.vo;

import com.fjhx.form.entity.cost.po.CostControl;
import com.fjhx.sale.entity.contract.vo.ContractOutboundInfoVo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 费控列表查询返回值实体
 *
 * @author
 * @since 2024-03-18
 */
@Getter
@Setter
public class CostControlVo extends CostControl {

    /**
     * 费控明细
     */
    List<CostControlDetailVo> costControlDetailList;
    /**
     * 物流公司名称
     */
    private String logisticsName;
    /**
     * 物流公司税点
     */
    private BigDecimal logisticsTaxPoints;
    /**
     * 物流公司开户名
     */
    private String logisticsAccountName;
    /**
     * 物流公司开户行
     */
    private String logisticsAccountBank;
    /**
     * 物流公司户账号
     */
    private String logisticsAccountNumber;
    /**
     * 申请人名称
     */
    private String applyUserName;

    /**
     * 所属中心
     */
    private String companyName;

    /**
     * 所属部门
     */
    private String deptName;

    /**
     * 收付款方式名称
     */
    private String costTypeName;

    private List<ContractOutboundInfoVo> contractOutboundInfoList;

    private String contractCode;
    private String contractTaxTransportationWay;
    private Integer contractBelongType;

    /**
     * 打款id
     */
    private Long accountPaymentId;
    /**
     * 打款状态
     */
    private Integer accountPaymentStatus;

    private String paymentAccountManagementName;


}
