package com.fjhx.form.service.cost;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.form.entity.cost.dto.CostControlDto;
import com.fjhx.form.entity.cost.dto.CostControlSelectDto;
import com.fjhx.form.entity.cost.po.CostControl;
import com.fjhx.form.entity.cost.po.CostControlDetail;
import com.fjhx.form.entity.cost.vo.CostControlVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 费控 服务类
 * </p>
 *
 * @author
 * @since 2024-03-18
 */
public interface CostControlService extends BaseService<CostControl> {

    /**
     * 费控分页
     */
    Page<CostControlVo> getPage(CostControlSelectDto dto);

    /**
     * 费控明细
     */
    CostControlVo detail(Long id);

    /**
     * 费控新增
     */
    void addOrEdit(CostControlDto costControlDto);

    /**
     * 费控编辑
     */
    void edit(CostControlDto costControlDto);

    /**
     * 费控删除
     */
    void delete(Long id);

    /**
     * 获取字段列表
     */
    JSONObject getFieldInfo();

    void cancellation(Long id);

    void cancelSettlement(List<CostControlDetail> costControlDetailList);
}
