package com.fjhx.jushuitan.entity.jst.po;

import com.ruoyi.common.core.domain.BaseIdPo;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;

import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 聚水潭订单表
 * </p>
 *
 * @author 
 * @since 2024-01-20
 */
@Getter
@Setter
@TableName("jst_order_info")
public class JstOrderInfo extends BasePo {

    /**
     * 计划发货时间
     */
    private Date planDeliveryDate;

    /**
     * 主播id
     */
    private String referrerId;

    /**
     * 平台买家唯一值，仅支持抖音，快手，小红书
     */
    private String openId;

    /**
     * 实称重量
     */
    private BigDecimal fweight;

    /**
     * 分销商编号
     */
    private String drpCoIdFrom;

    /**
     * 买家ID（系统根据shop_buy_id生成的）
     */
    private String buyerId;

    /**
     * 订单类型，普通订单；补发订单；分销Plus；供销Plus；换货订单
     */
    private String type;

    /**
     * 折扣率?
     */
    private BigDecimal discountRate;

    /**
     * 发货日期
     */
    private Date sendDate;

    /**
     * 发票税号
     */
    private String buyerTaxNo;

    /**
     * 修改时间
     */
    private Date modified;

    /**
     * 国家代码;（映射关系参考https://openweb.jushuitan.com/doc?docId=225）
     */
    private String receiverCountry;

    private String tag;

    /**
     * 买家实付（仅限抖音，拼多多，京东平台订单）
     */
    private BigDecimal buyerPaidAmount;

    private String drpFrom;

    /**
     * 买家指定物流
     */
    private String shipment;

    /**
     * 	平台订单状态： 等待买家付款=WAIT_BUYER_PAY， 等待卖家发货=WAIT_SELLER_SEND_GOODS,等待买家确认收货=WAIT_BUYER_CONFIRM_GOODS, 交易成功=TRADE_FINISHED, 付款后交易关闭=TRADE_CLOSED,付款前交易关闭=TRADE_CLOSED_BY_TAOBAO；
     */
    private String shopStatus;

    /**
     * 买家留言
     */
    private String buyerMessage;

    private String outerSoId;

    /**
     * 订单创建时间
     */
    private Date created;

    private String drpTo;

    private String isSplit;

    /**
     * 重量
     */
    private BigDecimal weight;

    /**
     * 店铺名称
     */
    private String shopName;

    /**
     * 多标签
     */
    private String labels;

    /**
     * 店铺编号
     */
    private Integer shopId;

    /**
     * 线下备注
     */
    private String node;

    private BigDecimal ffreight;

    /**
     * 买家昵称
     */
    private String shopBuyerId;

    /**
     * 发货仓编号
     */
    private String wmsCoId;

    /**
     * 供销商编号
     */
    private String drpCoIdTo;

    /**
     * 实际支付金额
     */
    private BigDecimal paidAmount;

    /**
     * 主播名称
     */
    private String referrerName;

    /**
     * 被合并被拆分的订单内部单号
     */
    private Integer linkOId;

    /**
     * 聚水潭订单状态 待付款：WaitPay；发货中：Delivering；被合并：Merged；异常：Question；被拆分：Split；等供销商|外仓发货：WaitOuterSent；已付款待审核：WaitConfirm；已客审待财审：WaitFConfirm；已发货：Sent；取消：Cancelled
     */
    private String status;

    private String extDatas;

    /**
     * 物流公司编码
     */
    private String lcId;

    /**
     * 商品
     */
    private String skus;

    /**
     * 问题描述
     */
    private String questionDesc;

    /**
     * 补发换货单对应的售后单号
     */
    private Object asId;

    /**
     * 收件信息-市
     */
    private String receiverCity;

    /**
     * 发票抬头
     */
    private String invoiceTitle;

    private String outerAsId;

    /**
     * 运费，保留两位小数，单位（元）
     */
    private BigDecimal freight;

    /**
     * 订单备注；卖家备注
     */
    private String remark;

    /**
     * 是否货到付款
     */
    private Boolean isCod;

    /**
     * 收件信息-省
     */
    private String receiverState;

    private String glasses;

    /**
     * 邮编
     */
    private String receiverZip;

    /**
     * 线上订单号，线上同步过来的订单号，最长不超过20;唯一
     */
    private String soId;

    /**
     * ERP内部订单号，聚水潭生成的订单号，唯一
     */
    private Long oid;

    /**
     * 收件信息-收件人
     */
    private String receiverName;

    /**
     * 币种
     */
    private String currency;

    /**
     * 发票类型
     */
    private String invoiceType;

    /**
     * 卖家实收
     */
    private BigDecimal sellerIncomeAmount;

    /**
     * 抵扣金额
     */
    private BigDecimal freeAmount;

    /**
     * 外部支付单号
     */
    private String outerPayId;

    /**
     * 不知道啥金额，文档没写
     */
    private BigDecimal amount;

    /**
     * 问题类型，仅当问题订单时有效
     */
    private String questionType;

    /**
     * 区
     */
    private String receiverDistrict;

    /**
     * 收件信息-街道
     */
    private String receiverTown;

    /**
     * 应付金额，保留两位小数，单位（元）
     */
    private BigDecimal payAmount;

    /**
     * 公司编号
     */
    private Integer coId;

    /**
     * 确认收货时间（仅限头条放心购、拼多多、苏宁易购、快手电商、有赞微商城，如果线上状态为取消，该时间为完结时间）
     */
    private Date endTime;

    /**
     * 店铺站点信息
     */
    private String shopSite;

    /**
     * 手机
     */
    private String receiverMobile;

    /**
     * 预计送达时间
     */
    private Date signTime;

    /**
     * 旗帜(1红旗，2黄旗，3绿旗，4蓝旗，5紫旗)）
     */
    private String sellerFlag;

    /**
     * 订单日期
     */
    private Date orderDate;

    /**
     * 合并线上订单号
     */
    private String mergeSoId;

    private String rawSoId;

    /**
     * 订单来源，ERP：手工下单； COPY：复制； MERGE：合并； SPLIT：拆分；拆分还原； MOBILE：手机； IMPORT:导入； drp-s：供销推送； drp-d：分销推送； KWAISHOP：快手；微商城； PINDUODUO；拼多多； TOUTIAOFXG；头条放心购
     */
    private String orderFrom;

    private String isMerge;

    /**
     * 收货地址
     */
    private String receiverAddress;

    /**
     * 快递公司
     */
    private String logisticsCompany;

    /**
     * 订单业务员
     */
    private String creatorName;

    /**
     * 快递单号
     */
    private String lid;

    /**
     * 电话
     */
    private String receiverPhone;

    /**
     * 数据库行版本号：https://docs.microsoft.com/zh-cn/sql/t-sql/data-types/rowversion-transact-sql?view=sql-server-ver16
     */
    private Long ts;

    /**
     * 部门id
     */
    private Long deptId;

}
