package com.fjhx.oa.controller.activity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.activity.dto.ActivityPriceInventoryDto;
import com.fjhx.oa.entity.activity.dto.ActivityPriceInventorySelectDto;
import com.fjhx.oa.entity.activity.vo.ActivityPriceInventoryVo;
import com.fjhx.oa.service.activity.ActivityPriceInventoryService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 活动、价格、库存 前端控制器
 * </p>
 *
 * @author
 * @since 2024-04-10
 */
@RestController
@RequestMapping("/activityPriceInventory")
public class ActivityPriceInventoryController {

    @Autowired
    private ActivityPriceInventoryService activityPriceInventoryService;

    /**
     * 活动、价格、库存分页
     */
    @PostMapping("/page")
    public Page<ActivityPriceInventoryVo> page(@RequestBody ActivityPriceInventorySelectDto dto) {
        return activityPriceInventoryService.getPage(dto);
    }

    /**
     * 活动、价格、库存明细
     */
    @PostMapping("/detail")
    public ActivityPriceInventoryVo detail(@RequestBody BaseSelectDto dto) {
        return activityPriceInventoryService.detail(dto.getId());
    }

    /**
     * 活动、价格、库存新增
     */
    @PostMapping("/add")
    public void add(@RequestBody ActivityPriceInventoryDto activityPriceInventoryDto) {
        activityPriceInventoryService.addOrEdit(activityPriceInventoryDto);
    }

    /**
     * 活动、价格、库存编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ActivityPriceInventoryDto activityPriceInventoryDto) {
        activityPriceInventoryService.addOrEdit(activityPriceInventoryDto);
    }

    /**
     * 活动、价格、库存删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        activityPriceInventoryService.delete(dto.getId());
    }

}
