package com.fjhx.oa.controller.education;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.education.dto.EducationConfigDto;
import com.fjhx.oa.entity.education.dto.EducationConfigSelectDto;
import com.fjhx.oa.entity.education.vo.EducationConfigVo;
import com.fjhx.oa.service.education.EducationConfigService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 学历补贴配置 前端控制器
 * </p>
 *
 * @author
 * @since 2024-04-08
 */
@RestController
@RequestMapping("/educationConfig")
public class EducationConfigController {

    @Autowired
    private EducationConfigService educationConfigService;

    /**
     * 学历补贴配置分页
     */
    @PostMapping("/page")
    public Page<EducationConfigVo> page(@RequestBody EducationConfigSelectDto dto) {
        return educationConfigService.getPage(dto);
    }

    /**
     * 学历补贴配置明细
     */
    @PostMapping("/detail")
    public EducationConfigVo detail(@RequestBody BaseSelectDto dto) {
        return educationConfigService.detail(dto.getId());
    }

    /**
     * 学历补贴配置新增
     */
    @PostMapping("/add")
    public void add(@RequestBody EducationConfigDto educationConfigDto) {
        educationConfigService.add(educationConfigDto);
    }

    /**
     * 学历补贴配置编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody EducationConfigDto educationConfigDto) {
        educationConfigService.edit(educationConfigDto);
    }

    /**
     * 学历补贴配置删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        educationConfigService.delete(dto.getId());
    }

}
