package com.fjhx.oa.controller.education;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.education.dto.EducationSubsidyDto;
import com.fjhx.oa.entity.education.dto.EducationSubsidySelectDto;
import com.fjhx.oa.entity.education.vo.EducationSubsidyVo;
import com.fjhx.oa.service.education.EducationSubsidyService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 学历补贴申请 前端控制器
 * </p>
 *
 * @author
 * @since 2024-04-08
 */
@RestController
@RequestMapping("/educationSubsidy")
public class EducationSubsidyController {

    @Autowired
    private EducationSubsidyService educationSubsidyService;

    /**
     * 学历补贴申请分页
     */
    @PostMapping("/page")
    public Page<EducationSubsidyVo> page(@RequestBody EducationSubsidySelectDto dto) {
        return educationSubsidyService.getPage(dto);
    }

    /**
     * 学历补贴申请明细
     */
    @PostMapping("/detail")
    public EducationSubsidyVo detail(@RequestBody BaseSelectDto dto) {
        return educationSubsidyService.detail(dto.getId());
    }

    /**
     * 学历补贴申请新增
     */
    @PostMapping("/add")
    public void add(@RequestBody EducationSubsidyDto educationSubsidyDto) {
        educationSubsidyService.addOrEdit(educationSubsidyDto);
    }

    /**
     * 学历补贴申请编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody EducationSubsidyDto educationSubsidyDto) {
        educationSubsidyService.addOrEdit(educationSubsidyDto);
    }

    /**
     * 学历补贴申请删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        educationSubsidyService.delete(dto.getId());
    }

    /**
     * 学历补贴申请删除
     */
    @PostMapping("/cancellation")
    public void cancellation(@RequestBody BaseSelectDto dto) {
        educationSubsidyService.cancellation(dto.getId());
    }

}
