package com.fjhx.oa.controller.erp;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.erp.dto.ErpCodingGroupDto;
import com.fjhx.oa.entity.erp.dto.ErpCodingGroupSelectDto;
import com.fjhx.oa.entity.erp.vo.ErpCodingGroupVo;
import com.fjhx.oa.service.erp.ErpCodingGroupService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * erp编码组 前端控制器
 * </p>
 *
 * @author
 * @since 2024-04-09
 */
@RestController
@RequestMapping("/erpCodingGroup")
public class ErpCodingGroupController {

    @Autowired
    private ErpCodingGroupService erpCodingGroupService;

    /**
     * erp编码组分页
     */
    @PostMapping("/page")
    public Page<ErpCodingGroupVo> page(@RequestBody ErpCodingGroupSelectDto dto) {
        return erpCodingGroupService.getPage(dto);
    }

    /**
     * erp编码组明细
     */
    @PostMapping("/detail")
    public ErpCodingGroupVo detail(@RequestBody BaseSelectDto dto) {
        return erpCodingGroupService.detail(dto.getId());
    }

    /**
     * erp编码组新增
     */
    @PostMapping("/add")
    public void add(@RequestBody ErpCodingGroupDto erpCodingGroupDto) {
        erpCodingGroupService.addOrEdit(erpCodingGroupDto);
    }

    /**
     * erp编码组编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ErpCodingGroupDto erpCodingGroupDto) {
        erpCodingGroupService.addOrEdit(erpCodingGroupDto);
    }

    /**
     * erp编码组删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        erpCodingGroupService.delete(dto.getId());
    }

}
