package com.fjhx.oa.controller.medical;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.medical.dto.MedicalInsuranceDto;
import com.fjhx.oa.entity.medical.dto.MedicalInsuranceSelectDto;
import com.fjhx.oa.entity.medical.vo.MedicalInsuranceVo;
import com.fjhx.oa.service.medical.MedicalInsuranceService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 医保申请 前端控制器
 * </p>
 *
 * @author
 * @since 2024-04-08
 */
@RestController
@RequestMapping("/medicalInsurance")
public class MedicalInsuranceController {

    @Autowired
    private MedicalInsuranceService medicalInsuranceService;

    /**
     * 医保申请分页
     */
    @PostMapping("/page")
    public Page<MedicalInsuranceVo> page(@RequestBody MedicalInsuranceSelectDto dto) {
        return medicalInsuranceService.getPage(dto);
    }

    /**
     * 医保申请明细
     */
    @PostMapping("/detail")
    public MedicalInsuranceVo detail(@RequestBody BaseSelectDto dto) {
        return medicalInsuranceService.detail(dto.getId());
    }

    /**
     * 医保申请新增
     */
    @PostMapping("/add")
    public void add(@RequestBody MedicalInsuranceDto medicalInsuranceDto) {
        medicalInsuranceService.addOrEdit(medicalInsuranceDto);
    }

    /**
     * 医保申请编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody MedicalInsuranceDto medicalInsuranceDto) {
        medicalInsuranceService.addOrEdit(medicalInsuranceDto);
    }

    /**
     * 医保申请删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        medicalInsuranceService.delete(dto.getId());
    }

    /**
     * 医保申请删除
     */
    @PostMapping("/cancellation")
    public void cancellation(@RequestBody BaseSelectDto dto) {
        medicalInsuranceService.cancellation(dto.getId());
    }

}
