package com.fjhx.oa.controller.seal;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.seal.dto.SealConfigDto;
import com.fjhx.oa.entity.seal.dto.SealConfigSelectDto;
import com.fjhx.oa.entity.seal.vo.SealConfigVo;
import com.fjhx.oa.service.seal.SealConfigService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 印章管理 前端控制器
 * </p>
 *
 * @author
 * @since 2024-04-09
 */
@RestController
@RequestMapping("/sealConfig")
public class SealConfigController {

    @Autowired
    private SealConfigService sealConfigService;

    /**
     * 印章管理分页
     */
    @PostMapping("/page")
    public Page<SealConfigVo> page(@RequestBody SealConfigSelectDto dto) {
        return sealConfigService.getPage(dto);
    }

    /**
     * 印章管理明细
     */
    @PostMapping("/detail")
    public SealConfigVo detail(@RequestBody BaseSelectDto dto) {
        return sealConfigService.detail(dto.getId());
    }

    /**
     * 印章管理新增
     */
    @PostMapping("/add")
    public void add(@RequestBody SealConfigDto sealConfigDto) {
        sealConfigService.add(sealConfigDto);
    }

    /**
     * 印章管理编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody SealConfigDto sealConfigDto) {
        sealConfigService.edit(sealConfigDto);
    }

    /**
     * 印章管理删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        sealConfigService.delete(dto.getId());
    }

}
