package com.fjhx.oa.controller.seal;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.seal.dto.SealUseDto;
import com.fjhx.oa.entity.seal.dto.SealUseSelectDto;
import com.fjhx.oa.entity.seal.vo.SealUseVo;
import com.fjhx.oa.service.seal.SealUseService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 用印申请 前端控制器
 * </p>
 *
 * @author
 * @since 2024-04-09
 */
@RestController
@RequestMapping("/sealUse")
public class SealUseController {

    @Autowired
    private SealUseService sealUseService;

    /**
     * 用印申请分页
     */
    @PostMapping("/page")
    public Page<SealUseVo> page(@RequestBody SealUseSelectDto dto) {
        return sealUseService.getPage(dto);
    }

    /**
     * 用印申请明细
     */
    @PostMapping("/detail")
    public SealUseVo detail(@RequestBody BaseSelectDto dto) {
        return sealUseService.detail(dto.getId());
    }

    /**
     * 用印申请新增
     */
    @PostMapping("/add")
    public void add(@RequestBody SealUseDto sealUseDto) {
        sealUseService.addOrEdit(sealUseDto);
    }

    /**
     * 用印申请编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody SealUseDto sealUseDto) {
        sealUseService.addOrEdit(sealUseDto);
    }

    /**
     * 用印申请删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        sealUseService.delete(dto.getId());
    }

    /**
     * 用印归还
     */
    @PostMapping("/returned")
    public void returned(@RequestBody SealUseDto dto) {
        sealUseService.returned(dto);
    }

    /**
     * 用印申请作废
     */
    @PostMapping("/cancellation")
    public void cancellation(@RequestBody SealUseDto dto) {
        sealUseService.cancellation(dto.getId());
    }

}
