package com.fjhx.oa.entity.activity.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 活动、价格、库存
 * </p>
 *
 * @author
 * @since 2024-04-10
 */
@Getter
@Setter
@TableName("activity_price_inventory")
public class ActivityPriceInventory extends BasePo {

    /**
     * 编号
     */
    private String code;

    /**
     * 审批状态
     */
    private Integer status;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 申请时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date applyTime;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 公司id
     */
    private Long companyId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 店铺平台
     */
    private String shopPlatform;

    /**
     * 店铺品牌
     */
    private String shopBrand;

    /**
     * 是否平台活动
     */
    private Integer isPlatformActivity;

    /**
     * 是否产品支持
     */
    private Integer isProductSupport;

    /**
     * 是否库存支持
     */
    private Integer isInventorySupport;

    /**
     * 活动名称
     */
    private String activityName;

    /**
     * 活动天数
     */
    private Integer activityDays;

    /**
     * 活动开始时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date activityStartTime;

    /**
     * 活动结束时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date activityEndTime;

    /**
     * 产品支持方
     */
    private Long supporterId;

    /**
     * 产品支持周期
     */
    private String supportCycle;

    /**
     * 产品支持开始时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date supporterStartTime;

    /**
     * 产品支持结束时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date supporterEndTime;

    /**
     * 产品报价人
     */
    private String productQuotationUser;

    /**
     * 是否提报总经理
     */
    private Integer isReportGm;

    /**
     * 是否新品
     */
    private Long isNewProduct;

}
