package com.fjhx.oa.entity.medical.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 医保申请
 * </p>
 *
 * @author
 * @since 2024-04-08
 */
@Getter
@Setter
@TableName("medical_insurance")
public class MedicalInsurance extends BasePo {

    /**
     * 申请时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date applyTime;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 公司id
     */
    private Long companyId;

    /**
     * 岗位
     */
    private String position;

    /**
     * 入职时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date entryTime;

    /**
     * 转正时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date regularTime;

    /**
     * 申请项目
     */
    private String applyItem;

    /**
     * 费用承担
     */
    private String costBearing;

    /**
     * 抵扣方式
     */
    private String deductionMethod;

    /**
     * 备注
     */
    private String remark;

    private String code;

    private Integer status;

    private Long flowId;

}
