package com.fjhx.oa.entity.seal.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 用印申请
 * </p>
 *
 * @author
 * @since 2024-04-09
 */
@Getter
@Setter
@TableName("seal_use")
public class SealUse extends BasePo {

    private String code;

    /**
     * 申请时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date applyTime;

    /**
     * 印章ids
     */
    private String sealIds;

    /**
     * 使用方式
     */
    private String useMethod;

    /**
     * 印章类型
     */
    private String sealType;

    /**
     * 是否盖章
     */
    private Integer isStamped;

    /**
     * 盖章类型
     */
    private String stampedType;

    /**
     * 是否合同
     */
    private String isContract;

    /**
     * 合同id
     */
    private Long contractId;

    /**
     * 借出时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date borrowTime;

    /**
     * 归还时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date returnedTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否归还
     */
    private Integer isReturned;

    /**
     * 归还用户
     */
    private Long returnedUserId;

    /**
     * 实际归还时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date realityReturnedTime;

    private Integer status;

    private Long flowId;

    private Long companyId;

}
