package com.fjhx.sale.entity.arrival.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * purchase_到货明细单
 * </p>
 *
 * @author
 * @since 2024-02-01
 */
@Getter
@Setter
@TableName("arrival_detail")
public class ArrivalDetail extends BasePo {

    /**
     * 到货主表ID
     */
    private Long arrivalId;

    /**
     * 采购明细ID
     */
    private Long purchaseDetailId;

    /**
     * 物品id
     */
    private Long productId;

    /**
     * 到货数量
     */
    private BigDecimal quantity;

    /**
     * 备注
     */
    private String remark;

    /**
     * 采购单ID
     */
    private Long purchaseId;

    /**
     * 账期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM")
    private Date accountPeriod;

}
