package com.fjhx.sale.entity.quotation.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 报价评估
 * </p>
 *
 * @author
 * @since 2024-02-04
 */
@Getter
@Setter
@TableName("quotation_estimate")
public class QuotationEstimate extends BasePo {

    /**
     * 报价单id
     */
    private Long quotationId;

    /**
     * 报价单明细id
     */
    private Long quotationProductId;

    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 物品ID
     */
    private Long materialId;

    /**
     * 类型 1原材料 2包材辅材 3工序
     */
    private Integer type;

    /**
     * 模具id
     */
    private Long moldId;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 单价
     */
    private BigDecimal price;

    /**
     * 工序id
     */
    private Long processesId;

    /**
     * 总数量
     */
    private Long totalQuantity;

    /**
     * 总价
     */
    private BigDecimal amount;

    /**
     * 物料长
     */
    private BigDecimal materialLength;

    /**
     * 物料宽
     */
    private BigDecimal materialWidth;

    /**
     * 物料高
     */
    private BigDecimal materialHeight;

    /**
     * 物料长
     */
    private BigDecimal moldLength;

    /**
     * 物料宽
     */
    private BigDecimal moldWidth;

    /**
     * 物料高
     */
    private BigDecimal moldHeight;

    /**
     * 一出几
     */
    private Integer cavityNum;
    /**
     * 标准用量
     */
    private Integer standardDosage;
    /**
     * 损耗率
     */
    private Integer lossRate;

    /**
     * 备注
     */
    private String remark;

}
