package com.fjhx.sale.entity.quotation.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * s报价产品配件
 * </p>
 *
 * @author
 * @since 2024-01-13
 */
@Getter
@Setter
@TableName("quotation_product_bom")
public class QuotationProductBom extends BasePo {

    /**
     * 报价表ID
     */
    private Long quotationProductId;

    /**
     * 商品ID
     */
    private Long productId;

    /**
     * 物料id
     */
    private Long materialId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品型号
     */
    private String productModel;

    /**
     * 商品数量
     */
    private BigDecimal quantity;

    /**
     * 商品单价
     */
    private BigDecimal price;

    /**
     * 商品金额
     */
    private BigDecimal amount;

    /**
     * 备注
     */
    private String remark;

    /**
     * 成本价
     */
    private BigDecimal costPrice;
    /**
     * 销售价
     */
    private BigDecimal salePrice;
    /**
     * 物料类型 1原材料 2包材辅材
     */
    private Integer type;


    /**
     * 报价表ID
     */
    private Long saleQuotationId;

    /**
     * 工序id
     */
    private Long processesId;
    /**
     * 标准用量
     */
    private Integer standardDosage;
    /**
     * 损耗率
     */
    private Integer lossRate;
}
