package com.fjhx.supply.entity.supplier.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 供应商列表查询入参实体
 *
 * @author
 * @since 2023-03-17
 */
@Getter
@Setter
public class SupplierInfoSelectDto extends BaseSelectDto {

    /**
     * 供应商类型 1贸易商 2工厂
     */
    private String type;

    /**
     * 维多利亚有无账期过滤
     */
    private Integer accountPeriodType;


    /**
     * 供应商编码
     */
    private String code;

    /**
     * 供应商名称
     */
    private String name;

    /**
     * 国家id
     */
    private Long countryId;

    /**
     * 省id
     */
    private Long provinceId;

    /**
     * 市id
     */
    private Long cityId;

    /**
     * 归属公司id
     */
    private Long companyId;

    /**
     * 账期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM")
    private Date accountPeriod;

    /**
     * 供应商id列表
     */
    private String supplierIds;
}
