package com.fjhx.supply.entity.supplier.vo;

import com.fjhx.area.service.SetCustomizeAreaName;
import com.fjhx.supply.entity.supplier.po.SupplierContact;
import com.fjhx.supply.entity.supplier.po.SupplierInfo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 供应商列表查询返回值实体
 *
 * @author
 * @since 2023-03-17
 */
@Getter
@Setter
public class SupplierInfoVo extends SupplierInfo implements SetCustomizeAreaName {

    private String countryName;

    private String provinceName;

    private String cityName;

    private String companyName;

    List<SupplierContact> contactList;

    /**
     * 结存预付款
     */
    private BigDecimal balancePrepaid;
    /**
     * 结存预付款（含税）
     */
    private BigDecimal balancePrepaidTax;

    private BigDecimal accountPeriodAmount;

    private BigDecimal accountPeriodAmountTax;

    private String stockJournalDetailsIds;

}
