package com.fjhx.wms.entity.stock.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 出入库记录
 * </p>
 *
 * @author
 * @since 2023-03-20
 */
@Getter
@Setter
@TableName("stock_journal")
public class StockJournal extends BasePo {

    /**
     * 操作类型 1手动入库
     */
    private String code;

    /**
     * 业务类型 1手动入库
     */
    private Integer type;

    /**
     * 操作类型
     */
    private Integer opType;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 归属公司id
     */
    private Long companyId;

    //手动出入库类型ID赋值
    /**
     * 生产订单id
     */
    private Long prodOrderId;
    /**
     * 借用id
     */
    private Long borrowId;
    /**
     * 预计归还时间
     */
    private Date expectRestitutionTime;
    /**
     * 归还id
     */
    private Long restitutionId;
    /**
     * 归还时间
     */
    private Date restitutionTime;
    /**
     * 丢件id
     */
    private Long loseId;
    /**
     * 寻回id
     */
    private Long seekId;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 出入库人
     */
    private String exWarehousePerson;

    /**
     * 合同id
     */
    private Long contractId;

    /**
     * 采购id
     */
    private Long purchaseId;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date inOutTime;

    /**
     * 到货id
     */
    private Long arrivalId;
}
