package com.fjhx.wms.entity.stock.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 出入库记录明细
 * </p>
 *
 * @author 
 * @since 2023-03-20
 */
@Getter
@Setter
@TableName("stock_journal_details")
public class StockJournalDetails extends BasePo {

    /**
     * 出入库记录id
     */
    private Long stockJournalId;

    /**
     * 商品id
     */
    private Long productId;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 业务明细id
     */
    private Long businessDetailsId;

    /**
     * 产品单价
     */
    private BigDecimal price;
    /**
     * 当时库存单价
     */
    private BigDecimal stockPrice;
    /**
     * 当时出库库存单价
     */
    private BigDecimal outStockPrice;

    /**
     * 归属公司id
     */
    private Long companyId;

    /**
     * 合同id
     */
    private Long contractId;

    /**
     * 采购id
     */
    private Long purchaseId;

    /**
     * 采购明细id
     */
    private Long purchaseDetailId;

    /**
     * 到货id
     */
    private Long arrivalId;

    /**
     * 到货明细id
     */
    private Long arrivalDetailId;

    /**
     * 账期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM")
    private Date accountPeriod;

    /**
     * 结算状态
     */
    private Integer settleStatus;
}
